/**
 * OW2 geolocalization
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EJBClient.java 6167 2012-02-09 16:46:06Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.geolocation.web.client;

import javax.naming.Context;
import javax.naming.InitialContext;
import org.ow2.util.geolocation.business.GeoLocatorInterface;

/**
 * Client for remote usage. Never used in the app ...
 * 
 * @author mathieu
 */
public class EJBClient {
    /**
     * The interface of the EJB.
     */
    private GeoLocatorInterface clientSess;

    /**
     * Constructor.
     */
    public EJBClient() {
        try {
            clientSess = getBean();
        } catch (Exception ex) {
            System.out.println(ex);
        }
    }

    /**
     * @return the EJB interface.
     */
    public GeoLocatorInterface getClientSess() {
        return clientSess;
    }

    /**
     * @return the EJB object.
     * @throws Exception some exceptions.
     */
    private GeoLocatorInterface getBean() throws Exception {
        Context initialContext = new InitialContext();
        Object o = initialContext.lookup(
                "org.ow2.jonas.installers.geo.business.ipgeolocalisation.GeoLocalisatorBean"
                + "_" + GeoLocatorInterface.class.getName() + "@Remote");

        if (o instanceof GeoLocatorInterface) {
            GeoLocatorInterface statelessBean = (GeoLocatorInterface) o;
            return statelessBean;
        }
        throw new Exception("Cannot cast object into StatelessRemote");
    }
}
